xrdp ?

Issues related to applications and software problems
Post Reply
User avatar
bluegroper
Posts: 237
Joined: 2005/09/07 23:04:21
Location: .au

xrdp ?

Post by bluegroper » 2019/08/23 07:42:12

Hey forum
I try to install xrdp and xorgxrdp, but errors flow as below.
Please any tips for how to fix ?
Should I try --skip-broken ?

Code: Select all

# yum install xorgxrdp xrdp
Loaded plugins: fastestmirror, langpacks, product-id, search-disabled-repos
Loading mirror speeds from cached hostfile
 * base: mirror.ventraip.net.au
 * elrepo: mirror-hk.koddos.net
 * epel: mirror.aarnet.edu.au
 * extras: mirror.ventraip.net.au
 * updates: mirror.ventraip.net.au
Resolving Dependencies
--> Running transaction check
---> Package xorgxrdp.x86_64 0:0.2.10-4.el7 will be installed
--> Processing Dependency: xorg-x11-server-Xorg(x86-64) = 1.20.4 for package: xorgxrdp-0.2.10-4.el7.x86_64
---> Package xrdp.x86_64 1:0.9.10-1.el7 will be installed
--> Processing Dependency: xrdp-selinux = 1:0.9.10-1.el7 for package: 1:xrdp-0.9.10-1.el7.x86_64
--> Running transaction check
---> Package xorgxrdp.x86_64 0:0.2.10-4.el7 will be installed
--> Processing Dependency: xorg-x11-server-Xorg(x86-64) = 1.20.4 for package: xorgxrdp-0.2.10-4.el7.x86_64
---> Package xrdp-selinux.x86_64 1:0.9.10-1.el7 will be installed
--> Finished Dependency Resolution
Error: Package: xorgxrdp-0.2.10-4.el7.x86_64 (epel)
           Requires: xorg-x11-server-Xorg(x86-64) = 1.20.4
           Installed: xorg-x11-server-Xorg-1.20.1-5.6.el7_6.x86_64 (@updates)
               xorg-x11-server-Xorg(x86-64) = 1.20.1-5.6.el7_6
           Available: xorg-x11-server-Xorg-1.20.1-3.el7.x86_64 (base)
               xorg-x11-server-Xorg(x86-64) = 1.20.1-3.el7
           Available: xorg-x11-server-Xorg-1.20.1-5.el7.x86_64 (updates)
               xorg-x11-server-Xorg(x86-64) = 1.20.1-5.el7
           Available: xorg-x11-server-Xorg-1.20.1-5.1.el7.x86_64 (updates)
               xorg-x11-server-Xorg(x86-64) = 1.20.1-5.1.el7
           Available: xorg-x11-server-Xorg-1.20.1-5.2.el7_6.x86_64 (updates)
               xorg-x11-server-Xorg(x86-64) = 1.20.1-5.2.el7_6
           Available: xorg-x11-server-Xorg-1.20.1-5.3.el7_6.x86_64 (updates)
               xorg-x11-server-Xorg(x86-64) = 1.20.1-5.3.el7_6
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
 #
I'm not a complete idiot. There's still a few pieces missing.

User avatar
remirepo
Posts: 342
Joined: 2014/09/21 09:07:12
Location: France
Contact:

Re: xrdp ?

Post by remirepo » 2019/08/23 07:55:46

Some EPEL package are now build against RHEL 7.7
So you need CentOS 7.7.... not yet released


See my comment on https://bodhi.fedoraproject.org/updates ... 8ef2ec6dd4
Remi's Repository - Forum - Blog

User avatar
bluegroper
Posts: 237
Joined: 2005/09/07 23:04:21
Location: .au

Re: xrdp ?

Post by bluegroper » 2019/08/23 10:56:17

Thanks for the heads up.
I'll try to make other arrangements, while waiting for CentOS 8
I'm not a complete idiot. There's still a few pieces missing.

flygoreico
Posts: 1
Joined: 2019/08/26 05:12:56

Re: xrdp ?

Post by flygoreico » 2019/08/26 05:15:55

Having the same issue, I installed manually archived xorgxrdp

yum -y install https://archive.fedoraproject.org/pub/a ... x86_64.rpm

then

yum -y install xrdp

and it works

webanditstudio
Posts: 9
Joined: 2019/08/15 12:07:51

Re: xrdp ?

Post by webanditstudio » 2019/08/28 19:39:35

Interested to see if you get this working bluegroper as I ran into the exact same issue and can't use teamviewer. I really need a working rdp.
Cheers.

Post Reply

Return to “CentOS 7 - Software Support”